"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const automation_1 = require("./automation");
const deleteFacebookActivities = (deletionOptions = defaultDeletionOptions) => (credentials) => __awaiter(void 0, void 0, void 0, function* () {
    const operationalOptions = Object.assign(Object.assign({}, defaultDeletionOptions), deletionOptions);
    const { email, password } = credentials;
    const browser = yield automation_1.launchBrowser({ headless: false });
    const page = yield automation_1.openNewPage('https://facebook.com')(browser);
    yield automation_1.loginUser({ email, password })(page);
    yield automation_1.navigateToProfile(page);
    yield automation_1.navigateToActivityLog(page);
    yield automation_1.selectActivityLogFilter('posts')(page);
    yield automation_1.deleteFirstPost(page);
    yield automation_1.closeBrowser(browser);
});
const defaultDeletionOptions = {
    filters: ['posts'],
};
exports.default = deleteFacebookActivities;
//# sourceMappingURL=index.js.map